"""
Game Colors

This module contains all the color values used throughout the game.
"""

# Modern color palette
BLACK = (0, 0, 0)
WHITE = (255, 255, 255)
GREEN = (0, 255, 0)
DARK_GREEN = (0, 100, 0)
NEON_GREEN = (57, 255, 20)  # Brighter, more neon green
LIME_GREEN = (50, 205, 50)  # Softer green for variety
FOREST_GREEN = (0, 100, 0)  # Dark green for contrast
DARKER_GREEN = (0, 40, 0)  # Very dark green for borders
GRAY = (128, 128, 128)
DARK_GRAY = (25, 25, 25)  # Darker background for better contrast
GRID_COLOR = (40, 40, 40)
SUBTLE_GRID_COLOR = (35, 35, 35)
RED = (255, 0, 0)
NEON_RED = (255, 20, 57)   # Brighter, more neon red for food
GLOW_GREEN = (150, 255, 150)  # Light green for glow effects
SNAKE_GRADIENT_START = (57, 255, 20)  # Head color
SNAKE_GRADIENT_END = (0, 150, 0)     # Tail color

