"""
Game Constants

This module contains all the constant values used throughout the game.
"""

# Window settings
WINDOW_WIDTH = 1024
WINDOW_HEIGHT = 768

# Grid settings
DEFAULT_GRID_WIDTH = 30
DEFAULT_GRID_HEIGHT = 30
DEFAULT_GRID_SIZE = 20

# Game area settings
DEFAULT_PADDING = 40
DEFAULT_SCORE_HEIGHT = 60
# Font sizes
TITLE_FONT_SIZE = 72
SUBTITLE_FONT_SIZE = 36
SCORE_FONT_SIZE = 36
DEBUG_FONT_SIZE = 24

# Game timing
FPS = 60
DEFAULT_MOVE_COOLDOWN = 100
MIN_MOVE_COOLDOWN = 50

# Menu settings
MENU_ITEM_SPACING = 50 